//
//  ABStudiVZPlugin.m
//  StudiVZ Plugin
//
//  Created by derDoc in 2009
//	based on code by Patrick B. Gibson
//  Copyright 2009 derDoc. All rights reserved.
//

#import "ABStudiVZPlugin.h"
#import "AIStudiVZService.h"
#import <AdiumLibpurple/ESJabberService.h>
#import <Adium/AIMenuControllerProtocol.h>

#import "StudiVZProfileFetcher.h"

#define CONTACT_FETCH_PROFILE_NOW AILocalizedString(@"Refresh Pic+Status now", nil)


@implementation ABStudiVZPlugin

+ (id) getSVZService{

	return service;
}

- (void)installPlugin
{
	
	#if DEBUG_BUILD
		AILogWithSignature(@"[SVZ] StudiVZPlugin version %@ installed!", STUDIVZ_PLUGIN_VERSION);
	#endif
	service = [[AIStudiVZService alloc] init];

	//and register the context menu
	NSMenuItem *contactAlbumContextMenuItem = [[[NSMenuItem allocWithZone:[NSMenu menuZone]] initWithTitle:CONTACT_FETCH_PROFILE_NOW
                                                                                        target:self
                                                                                        action:@selector(ManuallyFetchProfileForSelectedContextContact:)
                                                                                 keyEquivalent:@""] autorelease];
    [adium.menuController addContextualMenuItem:contactAlbumContextMenuItem toLocation:Context_Contact_Additions];
	//#TODO add menu item to account submenu to refresh all contacts
	

}

- (void)dealloc
{
	[service release];
	service = NULL;
	
	[super dealloc];
}

- (void)uninstallPlugin 
{
	
	#if DEBUG_BUILD
		AILogWithSignature(@"[SVZ] StudiVZPlugin version %@ uininstalled!", STUDIVZ_PLUGIN_VERSION);
	#endif
	[self release];
}

- (NSString *)pluginAuthor
{
	return @"derDoc";
}

- (NSString *)pluginVersion
{
	return STUDIVZ_PLUGIN_VERSION;
}

- (NSString *)pluginDescription
{
	return @"Connectivity for the German network StudiVZ's \"Plauderkasten\" (chatbox).";
}

- (NSString *)pluginURL
{
	return @"http://studivz.net";
}

#pragma mark internal selectors

- (void) ManuallyFetchProfileForSelectedContextContact: (id)sender
{
    AIListObject* selectedObject = [adium.menuController currentContextMenuObject];

	StudiVZProfileFetcher* svpf = [[[StudiVZProfileFetcher alloc] initWithContact:selectedObject andAccount: [selectedObject account]] retain];
	[svpf fetchProfile];
    
}

@end
