//
//  ABStudiVZPlugin.m
//  StudiVZ Plugin
//
//  Created by derDoc in 2009
//	based on code by Patrick B. Gibson
//  Copyright 2009 derDoc. All rights reserved.
//

#import "ABStudiVZPlugin.h"
#import "AIStudiVZService.h"
#import <ESJabberService.h>
#import "StudiVZProfileFetcher.h"



@implementation ABStudiVZPlugin

+ (id) getSVZService{

	return service;
}

- (void)installPlugin
{
	
	#if DEBUG_BUILD
	AILog(@"StudiVZPlugin version %@ installed!", STUDIVZ_PLUGIN_VERSION);
	#endif
	service = [[AIStudiVZService alloc] init];

}

- (void)dealloc
{
	[service release];
	service = NULL;
	
	[super dealloc];
}

- (void)uninstallPlugin 
{
	
	#if DEBUG_BUILD
	AILog(@"StudiVZPlugin version %@ uininstalled!", STUDIVZ_PLUGIN_VERSION);
	#endif
	[self release];
}

- (NSString *)pluginAuthor
{
	return @"derDoc";
}

- (NSString *)pluginVersion
{
	return STUDIVZ_PLUGIN_VERSION;
}

- (NSString *)pluginDescription
{
	return @"Connectivity for the German network StudiVZ's \"Plauderkasten\" (chatbox).";
}

- (NSString *)pluginURL
{
	return @"http://studivz.net";
}

@end
