/* 
 * Adium is the legal property of its developers, whose names are listed in the copyright file included
 * with this source distribution.
 * 
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with this program; if not,
 * write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef AISVZService
#import <AdiumLibpurple/ESPurpleJabberAccount.h>
#endif

#import <Adium/AIAccount.h>
#import <AIUtilities/AIStringUtilities.h>

#define	DEF_FETCH_FREQ						4													//the default: manual
#define	FREQ_OF_NEW_MOON					50													//the chance of 'sometimes: new moon'
#define CACHED_STALE_SPAN_SECS				60*60*24*28											//stale time for cached SVZ contact pix = 4 weeks


	static id ourself;

@interface AIStudiVZAccount : ESPurpleJabberAccount {
	int accountType;
}

+ (id) getSVZAccount;
- (id) init;
- (NSString *) SVZAccountType;		//returns either 's' or 'm'
- (NSString *) SVZLongAccountType;	//returns either 'studi' or 'mein'
- (int) SVZAccountNum;				//returns either 0 or 1
- (NSString *) SVZGroupName;		//returns either 'Studi' or 'Mein' -VZ


@end
