/* 
 * Adium is the legal property of its developers, whose names are listed in the copyright file included
 * with this source distribution.
 * 
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with this program; if not,
 * write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#define AISVZService
#import <Adium/AIAdiumProtocol.h>
#import <Adium/AIStatusControllerProtocol.h>
#import <AIUtilities/AIImageAdditions.h>
#import <AISharedAdium.h>
#import <AIAdiumProtocol.h>
#import <Adium/AIPreferenceControllerProtocol.h>
#import "AIStudiVZAccountViewController.h"
#import "AIStudiVZService.h"
#import "AIStudiVZAccount.h"


@implementation AIStudiVZService

//Account Creation
- (Class)accountClass{
	return [AIStudiVZAccount class];
}

//
- (AIAccountViewController *)accountViewController{
    return [AIStudiVZAccountViewController accountViewController];
}


//Service Description
- (NSString *)serviceCodeUniqueID{
	return @"adium-jabber-studivz";
}
- (NSString *)serviceID{
	return @"SVZ";
}
- (NSString *)shortDescription{
	return @"StudiVZ";
}
- (NSString *)longDescription{
	return @"StudiVZ";
}
- (NSCharacterSet *)ignoredCharacters{
	return [NSCharacterSet characterSetWithCharactersInString:@" "];
}
- (BOOL)caseSensitive{
	return NO;
}
- (BOOL)canRegisterNewAccounts{
	return NO;
}
- (AIServiceImportance)serviceImportance{
	return AIServiceSecondary;
}
/*!
 * @brief Placeholder string for the UID field
 */

- (NSString *)UIDPlaceholder
{
	return AILocalizedString(@"username@nimbuzz.com","Sample name and server for new Nimbuzz accounts");
}
- (NSString *)userNameLabel{
    return AILocalizedString(@"Nimbuzz ID",nil); //Jabber ID
}

- (NSImage *)defaultServiceIconOfType:(AIServiceIconType)iconType
{

	#if DEBUG_BUILD
//	AILog(@"StudiVZService: getting service icon for type %@", [iconType description]);
	#endif
	
	NSImage *image;
	NSString *imPref = nil;
//	NSNumber *num = nil;
	
	imPref = [[AIStudiVZAccount getSVZAccount] SVZAccountType];
//	NSNumber *num = [adium.preferenceController preferenceForKey:KEY_SVZ_ACCOUNT_TYPE group:GROUP_ACCOUNT_STATUS];
	
	if (imPref == nil)
		imPref = [NSString stringWithString:@"s"];
	
	NSString *imageName = [imPref stringByAppendingString:@"vz"];

	if (iconType == AIServiceIconSmall) {
		imageName = [imageName stringByAppendingString:@"-small"];
	}
	
	
	image = [NSImage imageNamed:imageName forClass:[self class]];
	
	
	return image;
}

- (BOOL)canCreateGroupChats
{
	return NO; 
}

- (BOOL)isSocialNetworkingService
{
	return YES;
}


- (BOOL)canSendOfflineMessageToContact:(AIListContact *)inContact
{
	return NO;
}

- (void)registerStatuses{
	[[adium statusController] registerStatus:STATUS_NAME_AVAILABLE
							 withDescription:[[adium statusController] localizedDescriptionForCoreStatusName:STATUS_NAME_AVAILABLE]
									  ofType:AIAvailableStatusType
								  forService:self];
	
}


@end
