//
//  StudiVZProfileFetcher.h
//  AdiumTestPlugin
//
//  Created by Vitus Lorenz-Meyer on 24.02.09.
//  Copyright 2009 derDoc. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Foundation/NSURLConnection.h>
#import <Adium/AIAccount.h>
#import <RegexKit/RegexKit.h>
#import "AIStudiVZAccount.h"


#define	SVZ_PROFILE_PAGE			@"http://www.studivz.net/Profile/"
#define	SVZ_LOGIN_PAGE				@"https://secure.studivz.net/Login"
//#define SVZ_NOT_LOGGED_IN_MARK	@"Du bist nicht eingeloggt"
#define SVZ_NOT_LOGGED_IN_MARK		@"Bist Du schon drin?"
#define SVZ_LOGGED_IN_MARK			@"Dies ist die Startseite"
#define MAX_LOGINS_ATTEMPTS			3
#define SET_NAME_FROM_PROFILE		1

#define PROFILE_MVZ_REGEX			@"Img/Logos/mvzLogo15px.gif"
#define EXPL_SET_BUD_SRV_PIC_IF_DIF	1								//explicitly set the default SVZ icon as server-side when it is different from account type icon?
#define	DBG_SHOW_FULL_REVC_HTML		0								//show the full received HTML in debug output?

//Regexes
#define LOGIN_FORMKEY_REGEX			@"name=\"formkey\"\\svalue=\"([0-9a-f]+)\""
#define LOGIN_IV_REGEX				@"name=\"iv\"\\svalue=\"([0-9a-f]+)\""
#define PROFILE_ALIAS_REGEX			@"<title>studiVZ \\| (.+)</title>"
#define	PROFILE_PIC_REGEX			@"<img src=\"(.+)\" class=\"obj-profileImage\" id=\"profileImage\""
#define	PROFILE_STATUS_REGEX		@"<div id=\"microblogContent\">(\\v|\\s)*<p class=\"microblogHistory\">(.*?)</p>"




	static BOOL				performingLogin;
	static NSMutableArray	*loginObservers;
//	static NSString			*SVZ_user;
//	static NSString			*SVZ_pass;
//	static AIStudiVZAccount *SVZ_Account;


@interface StudiVZProfileFetcher : NSObject {
	NSString		 *SVZ_user;
	NSString		 *SVZ_pass;
	NSString		 *SVZ_type;		//either 's' or 'm' depending on type
	AIStudiVZAccount *SVZ_Account;


	NSString		 *SVZ_ProfileId;
	NSString		 *profile_url;
	AIListContact	 *SVZ_Contact;
	int				 numLoginAttempts;
	BOOL			 selfExecutingLogin;
	BOOL			 waitingForLogin;
	NSMutableData	 *receivedData;
	NSURLConnection  *connection;
}

+ (void) initialize;
- (void) SetSVZAccount:(AIStudiVZAccount *)theAccount;
+ (void) notifyAllObserversOfLogin;
- (id) init;
- (void) dealloc;
- (StudiVZProfileFetcher*) initWithContact:(AIListContact *)theContact;
- (StudiVZProfileFetcher*) initWithContact:(AIListContact *)theContact andAccount:(AIStudiVZAccount *)theAccount;
- (void)executeLoginWithFormKey: (NSString *)theFormkey andIV: (NSString *)theIV;
- (void)fetchProfile;

@end
